diff -urN flac-70b078c/src/libFLAC/cpu.c flac-70b078c.mod/src/libFLAC/cpu.c
--- flac-70b078c/src/libFLAC/cpu.c	2014-03-21 09:26:08.000000000 +0100
+++ flac-70b078c.mod/src/libFLAC/cpu.c	2014-03-22 15:11:08.000000000 +0100
@@ -87,6 +87,7 @@
 /* how to get sysctlbyname()? */
 #endif
 
+#if defined(FLAC__CPU_IA32) && !defined(FLAC__NO_ASM) && (defined(FLAC__HAS_NASM) || defined(FLAC__HAS_X86INTRIN))
 /* these are flags in EDX of CPUID AX=00000001 */
 static const unsigned FLAC__CPUINFO_IA32_CPUID_CMOV = 0x00008000;
 static const unsigned FLAC__CPUINFO_IA32_CPUID_MMX = 0x00800000;
@@ -98,10 +99,13 @@
 static const unsigned FLAC__CPUINFO_IA32_CPUID_SSSE3 = 0x00000200;
 static const unsigned FLAC__CPUINFO_IA32_CPUID_SSE41 = 0x00080000;
 static const unsigned FLAC__CPUINFO_IA32_CPUID_SSE42 = 0x00100000;
+#if defined(FLAC__HAS_NASM) && defined(FLAC__USE_3DNOW)
 /* these are flags in EDX of CPUID AX=80000001 */
 static const unsigned FLAC__CPUINFO_IA32_CPUID_EXTENDED_AMD_3DNOW = 0x80000000;
 static const unsigned FLAC__CPUINFO_IA32_CPUID_EXTENDED_AMD_EXT3DNOW = 0x40000000;
 static const unsigned FLAC__CPUINFO_IA32_CPUID_EXTENDED_AMD_EXTMMX = 0x00400000;
+#endif
+#endif
 
 
 /*
